CourseLit logoCourseLit Docs
Api reference

Get product customer progress

Returns customer progress details including completed lessons.

GET
/api/products/{productId}/customers/{userId}/progress

Returns customer progress details including completed lessons.

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string
userId*string

Response Body

application/json

application/json

curl -X GET "https://school.courselit.app/api/products/string/customers/string/progress"
{
  "courseId": "string",
  "completedLessons": [
    "string"
  ],
  "downloaded": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}